<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_permsandprivacy.php                      */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 13, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update config ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['sent']))
{
	$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_config']." SET cfg_privacy_stats       ='".$HTTP_POST_VARS['cfg_privacy_stats']."',
                                                                              cfg_privacy_ipmask      ='".$HTTP_POST_VARS['cfg_privacy_ipmask']."',
                                                                              cfg_privacy_useronline  ='".$HTTP_POST_VARS['cfg_privacy_useronline']."',
                                                                              cfg_privacy_userdisable ='".$HTTP_POST_VARS['cfg_privacy_userdisable']."'", $_AMVconfig['sql_connect']);  
	if(isset($AMV_update))
	{
		$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	// --> BEGIN loading user configuration ---------------------------------------------------------------------------------------------------
	$_AMVusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_config']."",$_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	// <-- END loading user configuration -----------------------------------------------------------------------------------------------------
}
// <-- END update config ------------------------------------------------------------------------------------------------------------------


// --> BEGIN creating values --------------------------------------------------------------------------------------------------------------
if($_AMVusrcfg['cfg_privacy_stats'] == '1'){
	$AML_cfg_privacy_stats0 = '';
	$AML_cfg_privacy_stats1 = 'checked';
} else {
	$AML_cfg_privacy_stats0 = 'checked';
	$AML_cfg_privacy_stats1 = '';	
}
if($_AMVusrcfg['cfg_privacy_useronline'] == '1'){
	$AML_cfg_privacy_useronline0 = '';
	$AML_cfg_privacy_useronline1 = 'checked';
} else {
	$AML_cfg_privacy_useronline0 = 'checked';
	$AML_cfg_privacy_useronline1 = '';	
}
if($_AMVusrcfg['cfg_privacy_userdisable'] == '1'){
	$AML_cfg_privacy_userdisable0 = '';
	$AML_cfg_privacy_userdisable1 = 'checked';
} else {
	$AML_cfg_privacy_userdisable0 = 'checked';
	$AML_cfg_privacy_userdisable1 = '';	
}
if($_AMVusrcfg['cfg_privacy_ipmask'] == '0'){
	$AML_cfg_privacy_ipmask0 = 'checked';
	$AML_cfg_privacy_ipmask1 = '';
	$AML_cfg_privacy_ipmask2 = '';
	$AML_cfg_privacy_ipmask3 = '';
	$AML_cfg_privacy_ipmask4 = '';
} 
elseif($_AMVusrcfg['cfg_privacy_ipmask'] == '1') {
	$AML_cfg_privacy_ipmask0 = '';
	$AML_cfg_privacy_ipmask1 = 'checked';
	$AML_cfg_privacy_ipmask2 = '';
	$AML_cfg_privacy_ipmask3 = '';
	$AML_cfg_privacy_ipmask4 = '';
} 
elseif($_AMVusrcfg['cfg_privacy_ipmask'] == '2') {
	$AML_cfg_privacy_ipmask0 = '';
	$AML_cfg_privacy_ipmask1 = '';
	$AML_cfg_privacy_ipmask2 = 'checked';
	$AML_cfg_privacy_ipmask3 = '';
	$AML_cfg_privacy_ipmask4 = '';
} 
elseif($_AMVusrcfg['cfg_privacy_ipmask'] == '3') {
	$AML_cfg_privacy_ipmask0 = '';
	$AML_cfg_privacy_ipmask1 = '';
	$AML_cfg_privacy_ipmask2 = '';
	$AML_cfg_privacy_ipmask3 = 'checked';
	$AML_cfg_privacy_ipmask4 = '';
} 
elseif($_AMVusrcfg['cfg_privacy_ipmask'] == '4') {
	$AML_cfg_privacy_ipmask0 = '';
	$AML_cfg_privacy_ipmask1 = '';
	$AML_cfg_privacy_ipmask2 = '';
	$AML_cfg_privacy_ipmask3 = '';
	$AML_cfg_privacy_ipmask4 = 'checked';
}
// <-- END creating values ----------------------------------------------------------------------------------------------------------------


// --> BEGIN template form ----------------------------------------------------------------------------------------------------------------
$AMV_permsandprivacy_get = require_once("".$_AMVconfig['cfg_serverpath']."/include/template.inc.php");
$AMV_permsandprivacy_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_permsandprivacy.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

 
        // --> BEGIN template text --------------------------------------------------------------------------------------------------------
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_permsandprivacy_headline',         ""._admin_permsandprivacy_headline_."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_permsandprivacy_statsaccess',      ""._admin_permsandprivacy_statsaccess_."");
	$AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_permsandprivacy_ipaddressmask',    ""._admin_permsandprivacy_ipaddressmask_.""); 
        $AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_permsandprivacy_useronline',       ""._admin_permsandprivacy_useronline_."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AMV_admin_permsandprivacy_disableusercount', ""._admin_permsandprivacy_disableusercount_."");
        // <-- END template text ----------------------------------------------------------------------------------------------------------


	// --> BEGIN template values ------------------------------------------------------------------------------------------------------
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_stats0',                     "".$AML_cfg_privacy_stats0."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_stats1',                     "".$AML_cfg_privacy_stats1."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_ipmask0',                    "".$AML_cfg_privacy_ipmask0."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_ipmask1',                    "".$AML_cfg_privacy_ipmask1."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_ipmask2',                    "".$AML_cfg_privacy_ipmask2."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_ipmask3',                    "".$AML_cfg_privacy_ipmask3."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_ipmask4',                    "".$AML_cfg_privacy_ipmask4."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_useronline0',                "".$AML_cfg_privacy_useronline0."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_useronline1',                "".$AML_cfg_privacy_useronline1."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_userdisable0',               "".$AML_cfg_privacy_userdisable0."");
        $AMV_permsandprivacy_tpl -> AMT_assign('AML_cfg_privacy_userdisable1',               "".$AML_cfg_privacy_userdisable1."");
	// <-- END template values --------------------------------------------------------------------------------------------------------
	
	
$AMV_permsandprivacy_tpl -> AMT_tpl_print();
// <-- END template form ------------------------------------------------------------------------------------------------------------------
?>