<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_stat_counterreset.php                    */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : JUN 11, 2004                                         */
/*                                                                      */
/************************************************************************/


// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------


// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN resetting --------------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['reset']))
{
	foreach ($HTTP_POST_VARS['reset'] as $AMV_reset_type) 
	{
    		if($AMV_reset_type == 'counter')
    		{
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_visitors']."", $_AMVconfig['sql_connect']);
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_blockeduser']."", $_AMVconfig['sql_connect']);
    			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_maxdata']." SET maxdata_maxperday  = '1',
    			                                                                       maxdata_maxcurrent = '1',
    			                                                                       maxdata_hits       = '1'", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'referer')
    		{
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_referer']."", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'useragents')
    		{
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_useragents']."", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'browser')
    		{
    			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET   browseros_hits     = '0',
    			                                                                           browseros_visitors = '0'
    			                                                                     WHERE browseros_type     = 'browser'", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'os')
    		{
    			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_browseros']." SET   browseros_hits     = '0',
    			                                                                           browseros_visitors = '0'
    			                                                                     WHERE browseros_type     = 'os'", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'language')
    		{
    			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_languages']." SET   language_hits     = '0',
    			                                                                           language_visitors = '0'", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'displayres')
    		{
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_displayres']."", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'pageview')
    		{
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_pageviews']."", $_AMVconfig['sql_connect']);
    		}
    		if($AMV_reset_type == 'detailstat')
    		{
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_detailhour']."", $_AMVconfig['sql_connect']);
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_detailday']."", $_AMVconfig['sql_connect']);
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_detailweek']."", $_AMVconfig['sql_connect']);
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_detailmonth']."", $_AMVconfig['sql_connect']);
    			$AMV_update = AMS_sql_query("DELETE FROM ".$_AMVconfig['tbl_detailyear']."", $_AMVconfig['sql_connect']);
    		}
   		if($AMV_reset_type == 'dayaccess')
    		{
    			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_dayaccess']." SET   dayaccess_hits     = '0',
    			                                                                           dayaccess_visitors = '0'", $_AMVconfig['sql_connect']);
    		}
   		if($AMV_reset_type == 'bot')
    		{
    			$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_bots']." SET        bots_hits     = '0',
    			                                                                           bots_visitors = '0'", $_AMVconfig['sql_connect']);
    		}
    	}
    	
    	if(isset($AMV_update))
    	{
 	       	$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}   		
    	}
}
// <-- END resetting ----------------------------------------------------------------------------------------------------------------------

// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_stat_reset_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_reset.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_headline',      ""._admin_reset_headline_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_counter',       ""._admin_reset_counter_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_referer',       ""._admin_reset_referer_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_useragents',    ""._admin_reset_useragents_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_browser',       ""._admin_reset_browser_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_language',      ""._admin_reset_language_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_os',            ""._admin_reset_os_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_displayres',    ""._admin_reset_displayres_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_pageview',      ""._admin_reset_pageview_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_detailstat',    ""._admin_reset_detailstat_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_dayaccess',     ""._admin_reset_dayaccess_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_bots',          ""._admin_reset_bots_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_download',      ""._admin_reset_download_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_all',           ""._admin_reset_all_."");
	$AMV_stat_reset_tpl -> AMT_assign('AMV_admin_reset_none',          ""._admin_reset_none_."");


$AMV_stat_reset_tpl -> AMT_tpl_print();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------
?>