<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_permsandprivacy.php                      */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 13, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update if sent ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['cfg_overview_sent']) && $HTTP_POST_VARS['cfg_overview_sent'] == '1')
{
	if(is_numeric($HTTP_POST_VARS['cfg_overview_summary'])    &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_summary'])    &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_records'])    &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_pageview'])   &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_referer'])    &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_useragents']) &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_browseros'])  &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_language'])   &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_displayres']) &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_dayaccess'])  &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_dayaccess'])  &&
	   is_numeric($HTTP_POST_VARS['cfg_overview_dayaccess']))
	{	
		$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_config']." SET cfg_overview_cutstring      = '".$HTTP_POST_VARS['cfg_overview_cutstring']."',
		                                                                      cfg_overview_summary        = '".$HTTP_POST_VARS['cfg_overview_summary']."',
	                                                                              cfg_overview_records        = '".$HTTP_POST_VARS['cfg_overview_records']."',
	                                                                              cfg_overview_pageview       = '".$HTTP_POST_VARS['cfg_overview_pageview']."',
	                                                                              cfg_overview_referer        = '".$HTTP_POST_VARS['cfg_overview_referer']."',
	                                                                              cfg_overview_useragents     = '".$HTTP_POST_VARS['cfg_overview_useragents']."',
	                                                                              cfg_overview_browseros      = '".$HTTP_POST_VARS['cfg_overview_browseros']."',
	                                                                              cfg_overview_language       = '".$HTTP_POST_VARS['cfg_overview_language']."',
	                                                                              cfg_overview_displayres     = '".$HTTP_POST_VARS['cfg_overview_displayres']."',
	                                                                              cfg_overview_dayaccess      = '".$HTTP_POST_VARS['cfg_overview_dayaccess']."',
	                                                                              cfg_overview_showdefinition = '".$HTTP_POST_VARS['cfg_overview_showdefinition']."'", $_AMVconfig['sql_connect']);
	                                                                              echo mysql_error();
		if(isset($AMV_update))
		{
	       		$AMV_info_info         = ""._admin_global_info_updated_."";
			$AMV_info_description  = ""._admin_global_info_updateddesc_."";
			if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
			{	
				die("can not load <i>info.inc.php</i> so I will die now!");
			}
		}
	}
	else
	{
	       	$AMV_error_error         = ""._admin_cfg_overview_errorupdate_."";
		$AMV_error_description   = ""._admin_cfg_overview_errorupdatedesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	// --> BEGIN loading user configuration ---------------------------------------------------------------------------------------------------
	$_AMVusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_config']."",$_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	// <-- END loading user configuration -----------------------------------------------------------------------------------------------------
}
// <-- END update if sent -----------------------------------------------------------------------------------------------------------------


// --> BEGIN create values ----------------------------------------------------------------------------------------------------------------
if($_AMVusrcfg['cfg_overview_summary']   == '1') { $AMV_value_cfg_overview_summary1   = 'checked'; $AMV_value_cfg_overview_summary2   = ''; } else { $AMV_value_cfg_overview_summary1   = ''; $AMV_value_cfg_overview_summary2   = 'checked'; }
if($_AMVusrcfg['cfg_overview_records']   == '1') { $AMV_value_cfg_overview_records1   = 'checked'; $AMV_value_cfg_overview_records2   = ''; } else { $AMV_value_cfg_overview_records1   = ''; $AMV_value_cfg_overview_records2   = 'checked'; }

if($_AMVusrcfg['cfg_overview_pageview']   != '0') { $AMV_value_cfg_overview_pageview1   = 'checked'; $AMV_value_cfg_overview_pageview2   = ''; $AMV_value_cfg_overview_pageviewD   = 'inline'; } else { $AMV_value_cfg_overview_pageview1   = 'checked'; $AMV_value_cfg_overview_pageview2   = 'checked'; $AMV_value_cfg_overview_pageviewD   = 'none'; }
if($_AMVusrcfg['cfg_overview_referer']    != '0') { $AMV_value_cfg_overview_referer1    = 'checked'; $AMV_value_cfg_overview_referer2    = ''; $AMV_value_cfg_overview_refererD    = 'inline'; } else { $AMV_value_cfg_overview_referer1    = 'checked'; $AMV_value_cfg_overview_referer2    = 'checked'; $AMV_value_cfg_overview_refererD    = 'none'; }
if($_AMVusrcfg['cfg_overview_useragents'] != '0') { $AMV_value_cfg_overview_useragents1 = 'checked'; $AMV_value_cfg_overview_useragents2 = ''; $AMV_value_cfg_overview_useragentsD = 'inline'; } else { $AMV_value_cfg_overview_useragents1 = 'checked'; $AMV_value_cfg_overview_useragents2 = 'checked'; $AMV_value_cfg_overview_useragentsD = 'none'; }
if($_AMVusrcfg['cfg_overview_browseros']  != '0') { $AMV_value_cfg_overview_browseros1  = 'checked'; $AMV_value_cfg_overview_browseros2  = ''; $AMV_value_cfg_overview_browserosD  = 'inline'; } else { $AMV_value_cfg_overview_browseros1  = 'checked'; $AMV_value_cfg_overview_browseros2  = 'checked'; $AMV_value_cfg_overview_browserosD  = 'none'; }
if($_AMVusrcfg['cfg_overview_language']   != '0') { $AMV_value_cfg_overview_language1   = 'checked'; $AMV_value_cfg_overview_language2   = ''; $AMV_value_cfg_overview_languageD   = 'inline'; } else { $AMV_value_cfg_overview_language1   = 'checked'; $AMV_value_cfg_overview_language2   = 'checked'; $AMV_value_cfg_overview_languageD   = 'none'; }
if($_AMVusrcfg['cfg_overview_displayres'] != '0') { $AMV_value_cfg_overview_displayres1 = 'checked'; $AMV_value_cfg_overview_displayres2 = ''; $AMV_value_cfg_overview_displayresD = 'inline'; } else { $AMV_value_cfg_overview_displayres1 = 'checked'; $AMV_value_cfg_overview_displayres2 = 'checked'; $AMV_value_cfg_overview_displayresD = 'none'; }
if($_AMVusrcfg['cfg_overview_dayaccess']  != '0') { $AMV_value_cfg_overview_dayaccess1  = 'checked'; $AMV_value_cfg_overview_dayaccess2  = ''; $AMV_value_cfg_overview_dayaccessD  = 'inline'; } else { $AMV_value_cfg_overview_dayaccess1  = 'checked'; $AMV_value_cfg_overview_dayaccess2  = 'checked'; $AMV_value_cfg_overview_dayaccessD  = 'none'; }

if($_AMVusrcfg['cfg_overview_showdefinition'] == 'hits') { $AMV_value_cfg_overview_showdefinition1   = 'checked'; $AMV_value_cfg_overview_showdefinition2   = ''; } else { $AMV_value_cfg_overview_showdefinition1   = ''; $AMV_value_cfg_overview_showdefinition2   = 'checked'; }
// <-- END create values ------------------------------------------------------------------------------------------------------------------


// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_stat_overview_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_overview.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_headline',        ""._admin_cfg_stat_overview_headline_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_count',           ""._admin_cfg_stat_overview_count_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_dimensionw',      ""._admin_cfg_stat_overview_dimensionw_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_dimensionh',      ""._admin_cfg_stat_overview_dimensionh_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showsummary',     ""._admin_cfg_stat_overview_showsummary_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showrecordstat',  ""._admin_cfg_stat_overview_showrecordstat_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_cutstrings',      ""._admin_cfg_stat_overview_cutstrings_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showpageview',    ""._admin_cfg_stat_overview_showpageview_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showreferer',     ""._admin_cfg_stat_overview_showreferer_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showuagents',     ""._admin_cfg_stat_overview_showuagents_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showbrowseros',   ""._admin_cfg_stat_overview_showbrowseros_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showlanguage',    ""._admin_cfg_stat_overview_showlanguage_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showdisplayres',  ""._admin_cfg_stat_overview_showdisplayres_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showdayaccess',   ""._admin_cfg_stat_overview_showdayaccess_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showdefinition',  ""._admin_cfg_stat_overview_showdefinition_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showdefinition_H',""._admin_cfg_stat_overview_showdefinition_H_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_admin_cfg_stat_overview_showdefinition_V',""._admin_cfg_stat_overview_showdefinition_V_."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_summary1',             "".$AMV_value_cfg_overview_summary1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_summary2',             "".$AMV_value_cfg_overview_summary2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_records1',             "".$AMV_value_cfg_overview_records1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_records2',             "".$AMV_value_cfg_overview_records2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_pageview1',            "".$AMV_value_cfg_overview_pageview1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_pageview2',            "".$AMV_value_cfg_overview_pageview2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_pageviewD',            "".$AMV_value_cfg_overview_pageviewD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_referer1',             "".$AMV_value_cfg_overview_referer1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_referer2',             "".$AMV_value_cfg_overview_referer2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_refererD',             "".$AMV_value_cfg_overview_refererD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_useragents1',          "".$AMV_value_cfg_overview_useragents1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_useragents2',          "".$AMV_value_cfg_overview_useragents2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_useragentsD',          "".$AMV_value_cfg_overview_useragentsD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_browseros1',           "".$AMV_value_cfg_overview_browseros1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_browseros2',           "".$AMV_value_cfg_overview_browseros2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_browserosD',           "".$AMV_value_cfg_overview_browserosD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_language1',            "".$AMV_value_cfg_overview_language1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_language2',            "".$AMV_value_cfg_overview_language2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_languageD',            "".$AMV_value_cfg_overview_languageD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_displayres1',          "".$AMV_value_cfg_overview_displayres1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_displayres2',          "".$AMV_value_cfg_overview_displayres2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_displayresD',          "".$AMV_value_cfg_overview_displayresD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_dayaccess1',           "".$AMV_value_cfg_overview_dayaccess1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_dayaccess2',           "".$AMV_value_cfg_overview_dayaccess2."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_dayaccessD',           "".$AMV_value_cfg_overview_dayaccessD."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_summary',              "".$_AMVusrcfg['cfg_overview_summary']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_records',              "".$_AMVusrcfg['cfg_overview_records']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_pageview',             "".$_AMVusrcfg['cfg_overview_pageview']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_referer',              "".$_AMVusrcfg['cfg_overview_referer']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_useragents',           "".$_AMVusrcfg['cfg_overview_useragents']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_browseros',            "".$_AMVusrcfg['cfg_overview_browseros']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_language',             "".$_AMVusrcfg['cfg_overview_language']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_displayres',           "".$_AMVusrcfg['cfg_overview_displayres']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_dayaccess',            "".$_AMVusrcfg['cfg_overview_dayaccess']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_cutstring',            "".$_AMVusrcfg['cfg_overview_cutstring']."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_showdefinition1',      "".$AMV_value_cfg_overview_showdefinition1."");
	$AMV_stat_overview_tpl -> AMT_assign('AMV_value_cfg_overview_showdefinition2',      "".$AMV_value_cfg_overview_showdefinition2."");

$AMV_stat_overview_tpl -> AMT_tpl_print();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------