<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/menu.php                                     */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : May 13, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


$AMV_adminmenu_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_menu.tpl.html", __FILE__, __LINE__);
	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

	$AMV_adminmenu_tpl -> AMT_assign('AMV_linktotemplate',                                      "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_logo',                                      "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."/images/logo.gif");

	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration',                             ""._adminmenu_configuration_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_overview',            ""._adminmenu_configuration_overview_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_surroundings',        ""._adminmenu_configuration_surroundings_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_permsandprivacy',     ""._adminmenu_configuration_permsandprivacy_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_dateandtime',         ""._adminmenu_configuration_dateandtime_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_systemsettings',      ""._adminmenu_configuration_systemsettings_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats',                       ""._adminmenu_configuration_stats_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_changevalue',   ""._adminmenu_configuration_stats_changevalue_."");	
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_activation',    ""._adminmenu_configuration_stats_activation_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_overview',      ""._adminmenu_configuration_stats_overview_."");	
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_referer',       ""._adminmenu_configuration_stats_referer_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_useragent',     ""._adminmenu_configuration_stats_useragent_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_userdetail',    ""._adminmenu_configuration_stats_userdetail_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_displayres',    ""._adminmenu_configuration_stats_displayres_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_language',      ""._adminmenu_configuration_stats_language_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_sitestat',      ""._adminmenu_configuration_stats_sitestat_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_detailstat',    ""._adminmenu_configuration_stats_detailstat_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_downloads',     ""._adminmenu_configuration_stats_downloads_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_bots',          ""._adminmenu_configuration_stats_bots_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_blockedvalue',  ""._adminmenu_configuration_stats_blockedvalue_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_counterreset',  ""._adminmenu_configuration_stats_counterreset_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_database',                    ""._adminmenu_configuration_database_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_optimize',      ""._adminmenu_configuration_stats_optimize_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_refsclean',     ""._adminmenu_configuration_stats_refsclean_."");
		$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_uagentsclean',  ""._adminmenu_configuration_stats_uagentsclean_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_dump',          ""._adminmenu_configuration_stats_dump_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_restore',       ""._adminmenu_configuration_stats_language_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_helptools',           ""._adminmenu_configuration_helptools_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_codegenerator', ""._adminmenu_configuration_stats_codegenerator_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_documentation', ""._adminmenu_configuration_stats_documentation_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_forums',        ""._adminmenu_configuration_stats_forums_."");
	$AMV_adminmenu_tpl -> AMT_assign('AMV_adminmenu_configuration_stats_licence',       ""._adminmenu_configuration_stats_licence_."");
$AMV_adminmenu_tpl -> AMT_tpl_print();
?>