<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./include/ami_functions.inc.php                      */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "ami_functions.inc.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------ 


function pathsettings()
{
	$script_name = explode ("install.php", getenv('SCRIPT_NAME'));
	$script_name = $script_name['0'];
	$return['SCRIPT_NAME'] = str_replace("\\","/",$script_name);
	
	$script_url = getenv("SERVER_NAME");
	$script_url = "http://".$script_url."";
	$return['SERVER_NAME'] = str_replace("\\","/",$script_url);
	
	$serverpath = explode ("install.php", getenv('SCRIPT_FILENAME'));
	$serverpath = $serverpath['0'];
	$return['SCRIPT_FILENAME'] = str_replace("\\","/",$serverpath);
	if(empty($return['SCRIPT_FILENAME']))
	{
		$serverpath = explode ("install.php", getenv('PATH_TRANSLATED'));
		$serverpath = $serverpath['0'];
		$return['SCRIPT_FILENAME'] = str_replace("\\","/",$serverpath);
	}
	$return['SCRIPT_NAME']     = str_replace("//", "/", $return['SCRIPT_NAME']);
	$return['SCRIPT_FILENAME'] = str_replace("//", "/", $return['SCRIPT_FILENAME']);
	return $return;
}

function writeconfig_openconfig($prefix,$_program,$_version,$date)
{
	$config  = "<?PHP\n";
	$config .= "\n";
	$config .= "///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////\n";
	$config .= "// BEGIN OF ".$_program." ".$_version." CONFIGURATION                                                                                            //\n";                                                                                          
	$config .= "//                                                                                                                                       //\n";
	$config .= "// autogenerated by AMI Installer                                                                                                        //\n";
	$config .= "//                                                                                                                                       //\n";
	$config .= "//    ".$date."                                                                                                      //\n";
	$config .= "//   +----------------------------+                                                                                                      //\n";
	$config .= "//                                                                                                                                       //\n";
	$config .= "///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////\n";
	$config .= "\n";
	$config .= "settype(\$_".$prefix."config,'array');\n";
	$config .= "\n";
	$config .= "\n";

	$AMI_openfile  = fopen("include/config.inc.php","w");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);	
}

function writeconfig_dbpart($prefix,$dabatype,$dabaname,$username,$password,$hostname)
{
	$config  ="// --> BEGIN SQL settings -----------------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['sql_dabatype']         = \"".$dabatype."\";\n";
	$config .="\$_".$prefix."config['sql_username']         = \"".$username."\";\n";
	$config .="\$_".$prefix."config['sql_password']         = \"".$password."\";\n";
	$config .="\$_".$prefix."config['sql_hostname']         = \"".$hostname."\";\n";
	$config .="\$_".$prefix."config['sql_dabaname']         = \"".$dabaname."\";\n";
	$config .="\$_".$prefix."config['sql_debugsql']         = false;\n";
	$config .="// END SQL settings -----------------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN table names ------------------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['tbl_user']             = 'allmyphp_user';\n";
	$config .="\$_".$prefix."config['tbl_blockeduser']      = 'amv5_blockeduser';\n";
	$config .="\$_".$prefix."config['tbl_blockedvalues']    = 'amv5_blockedvalues';\n";
	$config .="\$_".$prefix."config['tbl_bots']             = 'amv5_bots';\n";
	$config .="\$_".$prefix."config['tbl_browseros']        = 'amv5_browseros';\n";
	$config .="\$_".$prefix."config['tbl_config']           = 'amv5_config';\n";
	$config .="\$_".$prefix."config['tbl_dayaccess']        = 'amv5_dayaccess';\n";
	$config .="\$_".$prefix."config['tbl_detailday']        = 'amv5_detailday';\n";
	$config .="\$_".$prefix."config['tbl_detailhour']       = 'amv5_detailhour';\n";
	$config .="\$_".$prefix."config['tbl_detailmonth']      = 'amv5_detailmonth';\n";
	$config .="\$_".$prefix."config['tbl_detailweek']       = 'amv5_detailweek';\n";
	$config .="\$_".$prefix."config['tbl_detailyear']       = 'amv5_detailyear';\n";
	$config .="\$_".$prefix."config['tbl_displayres']       = 'amv5_displayres';\n";
	$config .="\$_".$prefix."config['tbl_downloads']        = 'amv5_downloads';\n";
	$config .="\$_".$prefix."config['tbl_keywords']         = 'amv5_keywords';\n";
	$config .="\$_".$prefix."config['tbl_languages']        = 'amv5_language';\n";
	$config .="\$_".$prefix."config['tbl_maxdata']          = 'amv5_maxdata';\n";
	$config .="\$_".$prefix."config['tbl_online']           = 'amv5_online';\n";
	$config .="\$_".$prefix."config['tbl_pageviews']        = 'amv5_pageviews';\n";
	$config .="\$_".$prefix."config['tbl_referer']          = 'amv5_referer';\n";
	$config .="\$_".$prefix."config['tbl_statmodules']      = 'amv5_statmodules';\n";
	$config .="\$_".$prefix."config['tbl_useragents']       = 'amv5_useragents';\n";
	$config .="\$_".$prefix."config['tbl_visitors']         = 'amv5_visitors';\n";
	$config .="// <-- END table names --------------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$AMI_openfile  = fopen("include/config.inc.php","a");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);
}

function writeconfig_pathvalues($prefix,$url,$scriptpath,$serverpath)
{
	$config  ="// --> BEGIN path sourroundings -----------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['cfg_scripturl']        = \"$url\";\n";
	$config .="\$_".$prefix."config['cfg_scriptpath']       = \"$scriptpath\";\n";
	$config .="\$_".$prefix."config['cfg_serverpath']       = \"$serverpath\";\n";
	$config .="// <-- END path sourroundings -------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$AMI_openfile  = fopen("include/config.inc.php","a");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);	
}

function writeconfig_cookiesettings($prefix,$name,$expire,$path,$domain,$secure)
{
	$config  ="// --> BEGIN cookie settings --------------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['cookie_name']         = \"$name\";\n";
	$config .="\$_".$prefix."config['cookie_expire']       = \"$expire\";\n";
	$config .="\$_".$prefix."config['cookie_path']         = \"$path\";\n";
	$config .="\$_".$prefix."config['cookie_domain']       = \"$domain\";\n";
	$config .="\$_".$prefix."config['cookie_secure']       = \"$secure\";\n";
	$config .="// <-- END cookie settings ----------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";		
	
	$AMI_openfile  = fopen("include/config.inc.php","a");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);
}

function writeconfig_environment($prefix)
{	
	$config  ="// --> BEGIN Environment ------------------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['env_REMOTE_ADDR']      = getenv(\"REMOTE_ADDR\");\n";
	$config .="\$_".$prefix."config['env_HTTP_USER_AGENT']  = getenv(\"HTTP_USER_AGENT\");\n";
	$config .="\$_".$prefix."config['env_HTTP_REMOTE_HOST'] = gethostbyaddr(getenv(\"REMOTE_ADDR\"));\n";
	$config .="\$_".$prefix."config['env_HTTP_REFERER']     = getenv(\"HTTP_REFERER\");\n";
	$config .="\$_".$prefix."config['env_SCRIPT_NAME']      = getenv(\"SCRIPT_NAME\");\n";
	$config .="\$_".$prefix."config['env_SCRIPT_FILENAME']  = getenv(\"SCRIPT_FILENAME\");\n";
	$config .="\$_".$prefix."config['env_REQUEST_URI']      = getenv(\"REQUEST_URI\");\n";
	$config .="// <-- END Environment --------------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";		
	
	$AMI_openfile  = fopen("include/config.inc.php","a");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);	
}	

function writeconfig_dotherest($prefix,$name,$version)
{
	$config  ="// --> BEGIN time definition --------------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['date_timeoffset']      = \"0\";\n";
	$config .="\$_".$prefix."config['date_time']            = time();\n";
	$config .="\$_".$prefix."config['date_countflag']       = \$_".$prefix."config['date_time'];\n";
	$config .="// <-- END time definition ----------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////\n";
	$config .="// END OF EDITABLE CONFIGURATION                                                                                                         //\n";
	$config .="///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN AML version config -----------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['cfg_scriptname']       = \"$name\";\n";
	$config .="\$_".$prefix."config['cfg_scriptversion']    = \"$version\";\n";
	$config .="\$_".$prefix."config['cfg_scriptprefix']     = \"$prefix\";\n";
	$config .="// <-- END AML version config -------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN time benchmark begin ---------------------------------------------------------------------------------------------------------\n";
	$config .="\$".$prefix."_mtime = microtime();\n";
	$config .="\$".$prefix."_mtime = explode(\" \",\$".$prefix."_mtime);\n";
	$config .="\$".$prefix."_mtime = \$".$prefix."_mtime['1'] + \$".$prefix."_mtime['0'];\n";
	$config .="\$".$prefix."_starttime = \$".$prefix."_mtime;\n";
	$config .="// <-- END time benchmark begin -----------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN opening connection -----------------------------------------------------------------------------------------------------------\n";
	$config .="if(\$_".$prefix."include['res_sql'] = include(\"\".\$_".$prefix."config['cfg_serverpath'].\"/include/sql.inc.php\"))\n";
	$config .="{\n";
	$config .="	if(!\$_".$prefix."config['sql_connect'] = AMS_sql_connect(\"\$_".$prefix."config[sql_hostname]\",\n";
	$config .=" 							          \"\$_".$prefix."config[sql_username]\",\n";
	$config .=" 							          \"\$_".$prefix."config[sql_password]\",\n";
	$config .=" 							          \"\$_".$prefix."config[sql_dabaname]\"))\n";
	$config .=" 	{\n";
	$config .=" 		die(\"can not connect to your sql Database \".\$_".$prefix."config[sql_dabaname].\" on host \".\$_".$prefix."config[sql_hostname].\"\");\n";
	$config .=" 	}\n";
	$config .="}\n";
	$config .="else\n";
	$config .="{\n";
	$config .="	die(\"can not find sql.inc.php to establish connection to your sql database\");\n";
	$config .="}\n";
	$config .="// <-- END opening connection -------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN loding configuration ---------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."usrcfg_get = AMS_sql_query(\"SELECT * FROM \".\$_".$prefix."config['tbl_config'].\"\", \$_".$prefix."config['sql_connect']);\n";
	$config .="if(!\$_".$prefix."usrcfg = AMS_sql_fetch_array(\$_".$prefix."usrcfg_get, \$_".$prefix."config['sql_connect']))\n";
	$config .="{\n";
	$config .="	die(\"There is a problem occured.<br> Can not load user configuration!<br>\");\n";
	$config .="}\n";
	$config .="// <-- END loding configuration -----------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN including functions ----------------------------------------------------------------------------------------------------------\n";
	$config .="if(!\$_".$prefix."include['res_function'] = include(\"\".\$_".$prefix."config['cfg_serverpath'].\"/include/function.inc.php\"))\n";
	$config .="{\n";	
	$config .="	die(\"can not load <i>function.inc.php</i> so I will die now!\");\n";
	$config .="}\n";
	$config .="\n";
	$config .="if(!\$_".$prefix."include['res_allmyphp_function'] = include(\"\".\$_".$prefix."config['cfg_serverpath'].\"/include/allmyphp_functions.inc.php\"))\n";
	$config .="{\n";
	$config .="	die(\"can not load <i>allmyphp_function.inc.php</i> so I will die now!\");\n";
	$config .="}\n";
	$config .="// <-- END including functions ------------------------------------------------------------------------------------------------------------\n";
	$config .="\n";
	$config .="\n";
	$config .="// --> BEGIN creating id's ----------------------------------------------------------------------------------------------------------------\n";
	$config .="\$_".$prefix."config['cfg_validate_id'] = rand(100000000,999999999);\n";
	$config .="\$_".$prefix."config['cfg_prcookie_id'] = rand(10000000,99999999);\n";
	$config .="\$_".$prefix."config['cfg_linkedit_id'] = rand(100000,999999);\n";
	$config .="\n";
	$config .="@session_start();\n";
	$config .="@\$".$prefix."_uid = session_id();\n";
	$config .="// <-- END creating id's ------------------------------------------------------------------------------------------------------------------\n";

	$AMI_openfile  = fopen("include/config.inc.php","a");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);
}

function writeconfig_index($prefix,$thepath)
{
	$config   ="<?PHP\n";
	$config  .="// --> BEGIN including config ------------------------------------------------------------------------------------------------------------\n";
	$config  .="if(!\$_".$prefix."include['res_config'] = include(\"".$thepath."/include/config.inc.php\"))\n";
	$config  .="{\n";	
	$config  .="	die(\"can not load <i>config.inc.php</i> so I will die now!\");\n";
	$config  .="}\n";
	$config  .="// <-- END including config --------------------------------------------------------------------------------------------------------------\n";
	$config  .="\n";
	
	$AMI_openfile  = fopen("index.php","r+");
	$AMI_writefile = fputs($AMI_openfile,"$config");
	$AMI_closefile = fclose($AMI_openfile);
}

function create_table_allmyphpuser($prefix,$connectid)
{
	$insert = AMS_sql_query("CREATE TABLE allmyphp_user (
								user_id int(10) NOT NULL auto_increment,
								user_active tinyint(1) DEFAULT '0' NOT NULL,
								user_status tinyint(1) DEFAULT '0' NOT NULL,
								user_name varchar(32) NOT NULL,
								user_realname varchar(50) NOT NULL,
								user_address text NOT NULL,
								user_zipcode varchar(20) NOT NULL,
								user_country varchar(50) NOT NULL,
								user_email varchar(50) NOT NULL,
								user_password varchar(32) NOT NULL,
								user_session varchar(32) NOT NULL,
								user_lang varchar(50) NOT NULL,
								user_style varchar(50) NOT NULL,
								user_date varchar(30) NOT NULL,
								user_home text NOT NULL,
								user_website text NOT NULL,
								user_icq varchar(20) NOT NULL,
								user_aim varchar(50) NOT NULL,
								user_yim varchar(50) NOT NULL,
								user_msn varchar(50) NOT NULL,
								user_sig varchar(255) NOT NULL,
								user_view_email tinyint(1) DEFAULT '0' NOT NULL,
								user_view_website tinyint(1) DEFAULT '0' NOT NULL,
								user_view_realname tinyint(1) DEFAULT '0' NOT NULL,
								user_view_zipcode tinyint(1) DEFAULT '0' NOT NULL,
								user_view_country tinyint(1) DEFAULT '0' NOT NULL,
								user_view_home tinyint(1) DEFAULT '0' NOT NULL,
								user_newpwd varchar(32) NOT NULL,
								user_actkey varchar(32) NOT NULL,
								PRIMARY KEY (user_id)
								)COMMENT = 'AllMyPHP,  2003, 2004 voice of web (http://www.voice-of-web.de)'",$connectid);
	$insert = AMS_sql_query("INSERT INTO allmyphp_user VALUES ( '1', '1', '1', 'admin', '', '', '', '', 'admin@domain.de', '5f4dcc3b5aa765d61d8327deb882cf99', '', '', '', '', '', '', '', '', '', '', '', '0', '0', '0', '0', '0', '0', '', '')",$connectid);
}

function create_table_therest($prefix,$connectid)
{
$insert = AMS_sql_query("CREATE TABLE amv5_blockeduser (
  blocked_id bigint(20) NOT NULL auto_increment,
  blocked_type varchar(255) NOT NULL default 'visitor',
  blocked_date varchar(25) default NULL,
  blocked_del int(20) default NULL,
  blocked_ipadr varchar(18) default NULL,
  blocked_client text NOT NULL,
  blocked_host text NOT NULL,
  PRIMARY KEY  (blocked_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_blockedvalues (
  blockedvalues_id tinyint(1) NOT NULL auto_increment,
  blockedvalues_section text NOT NULL,
  blockedvalues_value text NOT NULL,
  blockedvalues_hits int(20) NOT NULL default '0',
  blockedvalues_visitors int(10) NOT NULL default '0',
  PRIMARY KEY  (blockedvalues_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("INSERT INTO amv5_blockedvalues VALUES (7, 'referer', 'Field blocked by Outpost (http://www.agnitum.com)', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_blockedvalues VALUES (8, 'referer', 'referer blocked by mozilla', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_blockedvalues VALUES (10, 'useragent', 'Field blocked by Outpost (http://www.agnitum.com)', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_blockedvalues VALUES (12, 'ipadr', '127.0.0.1', 0, 0)",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_bots (
  bots_id int(2) NOT NULL auto_increment,
  bots_order int(2) NOT NULL default '0',
  bots_name text NOT NULL,
  bots_image text NOT NULL,
  bots_referer text NOT NULL,
  bots_queryvar text NOT NULL,
  bots_hits int(20) NOT NULL default '0',
  bots_visitors int(20) NOT NULL default '0',
  PRIMARY KEY  (bots_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);


$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (1, 1, 'Google', 'google.gif', 'google.', 'q;query', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (2, 3, 'Yahoo', 'yahoo.gif', 'yahoo.', 'p', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (3, 2, 'Lycos', 'lycos.gif', 'lycos.', 'query', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (5, 4, 'Web.de', 'webde.gif', 'web.de', 'su', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (6, 5, 'Alltheweb', 'alltheweb.gif', 'alltheweb.com', 'q', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (7, 6, 'Altavista', 'altavista.gif', 'altavista.com', 'q', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (8, 7, 'AOL', 'aol.gif', 'suche.aol;search.aol', 'q;query', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (9, 8, 'MSN', 'msn.gif', 'search.msn', 'q', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (10, 9, 'Fireball', 'fireball.gif', 'fireball.de', 'q', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (11, 10, 'Hotbot', 'hotbot.gif', 'hotcot.com', 'query', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_bots VALUES (12, 11, 'T-Online', 't-online.gif', 'brisbane.t-online.de', 'q', 0, 0)",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_browseros (
  browseros_id int(2) NOT NULL auto_increment,
  browseros_type varchar(80) NOT NULL default '',
  browseros_var varchar(80) NOT NULL default '',
  browseros_image varchar(255) NOT NULL default '',
  browseros_ordernr tinyint(2) NOT NULL default '0',
  browseros_mustbe text NOT NULL,
  browseros_hits bigint(20) unsigned NOT NULL default '0',
  browseros_visitors bigint(10) NOT NULL default '0',
  PRIMARY KEY  (browseros_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (2, 'browser', 'WebTV', 'webtv.gif', 8, 'WebTV', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (3, 'browser', 'Lynx', 'lynx.gif', 7, 'Lynx', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (4, 'browser', 'MSIE', 'msie.gif', 1, 'MSIE', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (5, 'browser', 'Opera', 'opera.gif', 5, 'Opera', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (6, 'browser', 'Konqueror', 'konqueror.gif', 6, 'Konqueror', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (7, 'browser', 'Netscape', 'netscape.gif', 3, 'Nav,X11,Netscape', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (8, 'browser', 'Bot', 'bot.gif', 4, 'bot', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (98, 'browser', 'Other', 'other.gif', 0, '', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (10, 'os', 'Windows', 'windows.gif', 1, 'Win', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (11, 'os', 'Linux', 'linux.gif', 4, 'Linux', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (12, 'os', 'Mac', 'mac.gif', 3, 'Mac,PPC', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (13, 'os', 'FreeBSD', 'freebsd.gif', 5, 'FreeBSD', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (14, 'os', 'SunOS', 'sunos.gif', 8, 'SunOS', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (15, 'os', 'IRIX', 'irix.gif', 8, 'IRIX', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (16, 'os', 'BeOS', 'beos.gif', 2, 'BeOS', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (18, 'os', 'AIX', 'aix.gif', 7, 'AIX', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (99, 'os', 'Other', 'other.gif', 0, '', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_browseros VALUES (100, 'browser', 'Mozilla', 'mozilla.gif', 2, 'Gecko', 0, 0)",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_config (
  cfg_id tinyint(1) NOT NULL auto_increment,
  globalcfg_site_name varchar(255) NOT NULL default 'AllMyVisitors',
  globalcfg_site_description text NOT NULL,
  globalcfg_site_url varchar(255) NOT NULL default '',
  globalcfg_installdate int(10) NOT NULL default '0',
  globalcfg_template varchar(255) NOT NULL default 'AllMyPHP',
  globalcfg_language varchar(255) NOT NULL default 'german-impersonally',
  globalcfg_mainfile varchar(255) NOT NULL default 'index.php',
  globalcfg_openvar char(1) NOT NULL default '?',
  globalcfg_includeheader varchar(255) NOT NULL default '',
  globalcfg_includefooter varchar(255) NOT NULL default '',
  globalcfg_cleantables int(16) NOT NULL default '0',
  globalcfg_optimizedb int(5) NOT NULL default '86400',
  globalcfg_dropuser int(8) NOT NULL default '300',
  globalcfg_enablenewcount int(8) NOT NULL default '86400',
  globalcfg_statactive int(1) NOT NULL default '1',
  cfg_bots_newkeywords INT(3) DEFAULT '10' NOT NULL,
  cfg_bots_bestkeywords INT(3) DEFAULT '30' NOT NULL,
  cfg_bots_showempty int(1) NOT NULL default '1',
  cfg_bots_splitkeywords int(1) NOT NULL default '0',
  cfg_copyright_script varchar(20) NOT NULL default 'AllMyVisitors',
  cfg_browseros_showempty int(1) NOT NULL default '1',
  cfg_copyright_show tinyint(1) NOT NULL default '0',
  cfg_copyright_value blob NOT NULL,
  cfg_copyright_value_mail blob NOT NULL,
  cfg_copyright_regdomain blob NOT NULL,
  cfg_copyright_regkey blob NOT NULL,
  cfg_date_dateformat varchar(30) NOT NULL default 'd.m.Y',
  cfg_date_timeformat varchar(30) NOT NULL default 'H:i:s',
  cfg_date_datetimeformat varchar(30) NOT NULL default 'D\\, d.m.Y \\u\\m H:i:s \\U\\h\\r',
  cfg_date_uonlinedate varchar(30) NOT NULL default 'H:i:s \\U\\h\\r',
  cfg_date_timezone char(3) NOT NULL default '+1',
  cfg_detail_showyear int(3) NOT NULL default '400',
  cfg_detail_showmonth int(3) NOT NULL default '350',
  cfg_detail_showweek int(3) NOT NULL default '200',
  cfg_detail_showday int(3) NOT NULL default '360',
  cfg_detail_showhour int(3) NOT NULL default '330',
  cfg_language_showempty int(1) NOT NULL default '0',
  cfg_overview_cutstring int(3) NOT NULL default '60',
  cfg_overview_showdefinition varchar(10) NOT NULL default 'hits',
  cfg_overview_summary int(1) NOT NULL default '1',
  cfg_overview_records int(1) NOT NULL default '1',
  cfg_overview_pageview int(2) NOT NULL default '5',
  cfg_overview_referer int(2) NOT NULL default '5',
  cfg_overview_useragents int(2) NOT NULL default '5',
  cfg_overview_browseros int(2) NOT NULL default '5',
  cfg_overview_language int(2) NOT NULL default '5',
  cfg_overview_displayres int(2) NOT NULL default '5',
  cfg_overview_dayaccess int(3) NOT NULL default '200',
  cfg_referer_newcount int(2) NOT NULL default '10',
  cfg_referer_bestcount int(2) NOT NULL default '30',
  cfg_referer_cutstring int(3) NOT NULL default '60',
  cfg_referer_sort varchar(255) NOT NULL default 'referer_hits',
  cfg_privacy_stats int(1) NOT NULL default '1',
  cfg_privacy_ipmask int(1) NOT NULL default '0',
  cfg_privacy_useronline int(1) NOT NULL default '1',
  cfg_privacy_userdisable int(1) NOT NULL default '1',
  cfg_sites_newcount int(2) NOT NULL default '10',
  cfg_sites_bestcount int(2) NOT NULL default '30',
  cfg_sites_cutstring int(2) NOT NULL default '60',
  cfg_useragents_newcount int(2) NOT NULL default '10',
  cfg_useragents_bestcount int(2) NOT NULL default '30',
  cfg_useragents_cutstring int(3) NOT NULL default '50',
  PRIMARY KEY  (cfg_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("INSERT INTO amv5_config VALUES (1, 'AllMyVisitors', '<i>AllMyVisitors - professional web counting software solution!</i>', '', 1084442400, 'AllMyPHP', 'german-impersonally', 'index.php', '?', '', '', 0, 1089759319, 300, 86400, 1, 10, 30, 1, 0, 'AllMyVisitors', 1, 0, '<span class=\"AMTsmallesttext\"><center>powered by <a href=\"http://www.php-resource.net\" target=\"_blank\">AllMyVisitors</a>  2004, voice of web</center></span>', '', '', '', 'd.m.Y', 'h:i:s', 'd.m.y - h:i:s', 'h:i:s', '2', 400, 350, 200, 360, 330, 1, 60, 'hits', 1, 1, 5, 5, 5, 5, 5, 5, 200, 10, 30, 50, 'referer_hits', 1, 2, 1, 0, 10, 30, 60, 10, 30, 65)",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_dayaccess (
  dayaccess_id tinyint(2) NOT NULL auto_increment,
  dayaccess_time tinyint(2) NOT NULL default '0',
  dayaccess_hits bigint(20) NOT NULL default '0',
  dayaccess_visitors bigint(10) NOT NULL default '0',
  PRIMARY KEY  (dayaccess_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);


$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (1, 0, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (2, 1, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (3, 2, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (4, 3, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (5, 4, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (6, 5, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (7, 6, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (8, 7, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (9, 8, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (10, 9, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (11, 10, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (12, 11, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (13, 12, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (14, 13, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (15, 14, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (16, 15, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (17, 16, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (18, 17, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (19, 18, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (20, 19, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (21, 20, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (22, 21, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (23, 22, 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_dayaccess VALUES (24, 23, 0, 0)",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_detailday (
  detailday_year smallint(6) NOT NULL default '0',
  detailday_month tinyint(4) NOT NULL default '0',
  detailday_week tinyint(20) NOT NULL default '0',
  detailday_day tinyint(4) NOT NULL default '0',
  detailday_hits int(10) NOT NULL default '0',
  detailday_visitors int(6) NOT NULL default '0'
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_detailhour (
  detailhour_year smallint(6) NOT NULL default '0',
  detailhour_month tinyint(4) NOT NULL default '0',
  detailhour_week tinyint(20) NOT NULL default '0',
  detailhour_day tinyint(4) NOT NULL default '0',
  detailhour_hour tinyint(4) NOT NULL default '0',
  detailhour_hits int(10) NOT NULL default '0',
  detailhour_visitors int(5) NOT NULL default '0'
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_detailmonth (
  detailmonth_year smallint(6) NOT NULL default '0',
  detailmonth_month tinyint(4) NOT NULL default '0',
  detailmonth_hits bigint(20) NOT NULL default '0',
  detailmonth_visitors int(10) NOT NULL default '0'
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_detailweek (
  detailweek_year smallint(6) NOT NULL default '0',
  detailweek_month tinyint(4) NOT NULL default '0',
  detailweek_week tinyint(20) NOT NULL default '0',
  detailweek_hits bigint(10) NOT NULL default '0',
  detailweek_visitors int(10) NOT NULL default '0'
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_detailyear (
  detailyear_year smallint(6) NOT NULL default '0',
  detailyear_hits bigint(20) NOT NULL default '0',
  detailyear_visitors bigint(20) NOT NULL default '0'
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_displayres (
  displayres_id int(20) NOT NULL auto_increment,
  displayres_width int(4) NOT NULL default '0',
  displayres_height int(4) NOT NULL default '0',
  displayres_visitors bigint(20) NOT NULL default '0',
  displayres_hits bigint(20) NOT NULL default '0',
  displayres_date varchar(20) NOT NULL default '',
  PRIMARY KEY  (displayres_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_downloads (
  downloads_id int(14) NOT NULL auto_increment,
  downloads_active int(1) NOT NULL default '0',
  downloads_file text NOT NULL,
  downloads_permission int(1) NOT NULL default '0',
  downloads_added text NOT NULL,
  downloads_hits int(20) NOT NULL default '0',
  PRIMARY KEY  (downloads_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_keywords (
  keyword_id INT( 4 ) NOT NULL AUTO_INCREMENT ,
  keyword_phrase TEXT NOT NULL ,
  keyword_date TEXT NOT NULL ,
  keyword_hits BIGINT( 20 ) NOT NULL ,
  keyword_visitors INT( 10 ) NOT NULL ,
  PRIMARY KEY (keyword_id) 
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_language (
  language_id int(2) NOT NULL auto_increment,
  language_order int(3) NOT NULL default '0',
  language_strings text NOT NULL,
  language_name text NOT NULL,
  language_image varchar(50) NOT NULL default 'unknown.gif',
  language_hits bigint(20) NOT NULL default '0',
  language_visitors int(20) NOT NULL default '0',
  PRIMARY KEY  (language_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);


$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (1,99, '', 'Unknown', 'unknown.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (2, 1, 'de', 'Deutschland', 'germany.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (3, 2, 'nl', 'Niederlande', 'netherlands.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (4, 3, 'fr-ch, de-ch, it-ch', 'Schweiz', 'switzerland.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (5, 4, 'en', 'England', 'england.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (6, 5, 'en-us, es-us', 'USA', 'usa.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (7, 6, 'nl-be, fr-be', 'Belgien', 'belgium.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (8, 7, 'sv-fi, fi', 'Schweden', 'sweden.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (9, 8, 'de-at', 'sterreich', 'austria.gif', 0, 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_language VALUES (10,9, 'it', 'Italien', 'italy.gif', 0, 0)",$connectid);


$insert = AMS_sql_query("CREATE TABLE amv5_maxdata (
  maxdata_id tinytext NOT NULL,
  maxdata_maxperday int(4) NOT NULL default '1',
  maxdata_maxcurrent int(4) NOT NULL default '1',
  maxdata_hits int(30) NOT NULL default '0'
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("INSERT INTO amv5_maxdata VALUES ('1', 1, 1, 1)",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_online (
  online_id int(14) NOT NULL auto_increment,
  online_ip varchar(255) NOT NULL default '',
  online_date varchar(255) NOT NULL default '',
  online_page text NOT NULL,
  PRIMARY KEY  (online_id),
  UNIQUE KEY ID_2 (online_id),
  KEY ID (online_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_pageviews (
  pageviews_id int(14) NOT NULL auto_increment,
  pageviews_uri text NOT NULL,
  pageviews_hits bigint(20) NOT NULL default '0',
  pageviews_visitors bigint(10) NOT NULL default '0',
  PRIMARY KEY  (pageviews_id,pageviews_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_referer (
  referer_id int(10) NOT NULL auto_increment,
  referer_referer text NOT NULL,
  referer_hits bigint(20) NOT NULL default '0',
  referer_visitors bigint(10) NOT NULL default '0',
  referer_date int(15) NOT NULL default '0',
  PRIMARY KEY  (referer_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_statmodules (
  statmodule_id int(2) NOT NULL auto_increment,
  statmodule_order int(2) NOT NULL default '0',
  statmodule_active int(1) NOT NULL default '1',
  statmodule_default int(1) NOT NULL default '0',
  statmodule_name text NOT NULL,
  statmodule_image text NOT NULL,
  statmodule_openvar text NOT NULL,
  statmodule_file text NOT NULL,
  statmodule_permission int(1) NOT NULL default '0',
  PRIMARY KEY  (statmodule_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (1, 1, 1, 1, '_stats_menue_overview_', 'overview.gif', 'overview', 'stats-overview.php', 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (2, 2, 1, 0, '_stats_menue_referer_', 'referer.gif', 'referer', 'stats-referer.php', 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (3, 3, 1, 0, '_stats_menue_useragents_', 'useragent.gif', 'useragent', 'stats-useragent.php', 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (4, 4, 1, 0, '_stats_menue_userdetail_', 'userdetail.gif', 'userdetail', 'stats-userdetail.php', 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (5, 6, 1, 0, '_stats_menue_pageview_', 'pageview.gif', 'pageview', 'stats-pageview.php', 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (7, 7, 1, 0, '_stats_menue_searchengine_', 'bots.gif', 'bots', 'stats-bots.php', 0)",$connectid);
$insert = AMS_sql_query("INSERT INTO amv5_statmodules VALUES (8, 8, 1, 0, '_stats_menue_detail_', 'topstats.gif', 'detail', 'stats-detail.php', 0)",$connectid);


$insert = AMS_sql_query("CREATE TABLE amv5_useragents (
  useragents_id int(10) NOT NULL auto_increment,
  useragents_string text NOT NULL,
  useragents_hits bigint(20) NOT NULL default '0',
  useragents_visitors bigint(10) NOT NULL default '0',
  useragents_date int(15) NOT NULL default '0',
  PRIMARY KEY  (useragents_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

$insert = AMS_sql_query("CREATE TABLE amv5_visitors (
  visitors_id int(14) NOT NULL auto_increment,
  visitors_ipadr varchar(15) default NULL,
  visitors_client text,
  visitors_countflag varchar(15) default NULL,
  visitors_date varchar(15) default NULL,
  PRIMARY KEY  (visitors_id)
) TYPE=MyISAM COMMENT='AllMyVisitors,  2004 voice of web, www.php-resource.net'",$connectid);

}
?>