<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/overview/displayres.lib.php                    */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "displayres.lib.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------

if($_AMVusrcfg['cfg_overview_displayres'] != "0")
{
	// --> BEGIN template header --------------------------------------------------------------------------------------
	$AMP_displayres_header = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-overview-other-header.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals ---------------------------------------------------------------------------
		$AMP_displayres_header -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMP_displayres_header -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMP_displayres_header -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
		$AMP_displayres_header -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMP_displayres_header -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMP_displayres_header -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMP_displayres_header -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals -----------------------------------------------------------------------------
		$AMP_displayres_header -> AMT_assign('AMV_statsoverview_other_desc',       ""._stats_displayres_headline_."");
		$AMP_displayres_header -> AMT_assign('AMV_statsoverview_other_valuename',  "".$AMV_showdefinition."");
		$AMP_displayres_header -> AMT_assign('AMV_statsoverview_other_image',      "displayres.gif");
	$AMV_FILE_stats_overview_displayres = $AMP_displayres_header -> AMT_tpl_var();
	// <-- END template header ----------------------------------------------------------------------------------------

	// --> BEGIN template body ----------------------------------------------------------------------------------------
	$AML_i = '1';
	$AMV_get = AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_displayres']." order by displayres_".$_AMVusrcfg['cfg_overview_showdefinition']." DESC LIMIT ".$_AMVusrcfg['cfg_overview_displayres']."", $_AMVconfig['sql_connect']);
	while($AMV_displayres = AMS_sql_fetch_array($AMV_get, $_AMVconfig['sql_connect']))
	{
		$AMP_displayres_body = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-overview-other-body.tpl.html", __FILE__, __LINE__);
			// --> BEGIN templating globals -------------------------------------------------------------------
			$AMP_displayres_body -> AMT_assign('AMV_global_linkopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
			$AMP_displayres_body -> AMT_assign('AMV_global_linktotemplate',      "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
			$AMP_displayres_body -> AMT_assign('AMV_global_linktoscript',        "".$_AMVconfig['cfg_scriptpath']."");
			$AMP_displayres_body -> AMT_assign('AMV_global_sitename',            "".$_AMVusrcfg['globalcfg_site_name']."");
			$AMP_displayres_body -> AMT_assign('AMV_global_siteurl',             "".$_AMVusrcfg['globalcfg_site_url']."");
			$AMP_displayres_body -> AMT_assign('AMV_global_sitedescription',     "".$_AMVusrcfg['globalcfg_site_description']."");
			$AMP_displayres_body -> AMT_assign('AMV_global_now',                 date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
			// <-- END templating globals ---------------------------------------------------------------------
			$AMP_displayres_body -> AMT_assign('AMV_statsoverview_other_no',     "".$AML_i++."");
			$AMP_displayres_body -> AMT_assign('AMV_link',                       "");
			$AMP_displayres_body -> AMT_assign('AMV_statsoverview_other_value',  "".$AMV_displayres['displayres_width']." x ".$AMV_displayres['displayres_height'].""); 
			$AMP_displayres_body -> AMT_assign('AMV_statsoverview_other_valueV', "".$AMV_displayres["displayres_".$_AMVusrcfg['cfg_overview_showdefinition'].""]."");
		$AMV_FILE_stats_overview_displayres .= $AMP_displayres_body -> AMT_tpl_var();
	}
	// <-- END template body ------------------------------------------------------------------------------------------


	// --> BEGIN template footer ------------------------------------------------------------------------------------------------------
	$AMP_displayres_footer = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-overview-other-footer.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AMP_displayres_footer -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMP_displayres_footer -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMP_displayres_footer -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
		$AMP_displayres_footer -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMP_displayres_footer -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMP_displayres_footer -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMP_displayres_footer -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		$AMP_displayres_footer -> AMT_assign('AMV_statsoverview_detaillinktext',   ""._stats_displayres_detailstat_."");
		$AMP_displayres_footer -> AMT_assign('AMV_stattype',                       "userdetail");
	$AMV_FILE_stats_overview_displayres .= $AMP_displayres_footer -> AMT_tpl_var();
	$AMV_FILE_stats_overview_displayres = $AMV_FILE_stats_overview_displayres.$AMV_sectionspacing;
	// <-- END template footer --------------------------------------------------------------------------------------------------------
}
else
{
	$AMV_FILE_stats_overview_displayres = "";
}
?>