<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./lib/overview/summary.lib.php                       */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "summary.lib.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


// --> BEGIN get statistics ---------------------------------------------------------------------------------------------------------------
$AMV_defaultstats = AMV_getvalues_only();
$AMV_hitstats = AMV_gethitsstats();
// <-- END get statistics -----------------------------------------------------------------------------------------------------------------

// --> BEGIN generating hour string -------------------------------------------------------------------------------------------------------
$AMV_statsoverview_besthour = "".$AMV_hitstats['hour']['hour'].":00 - ".$AMV_hitstats['hour']['hour'].":59";
// <-- END generating hour string ---------------------------------------------------------------------------------------------------------


if($_AMVusrcfg['cfg_overview_summary'] == '1')
{
	$AMV_stat_summary_tpl = new AMT_Template("$_AMVconfig[cfg_serverpath]/template/$_AMVusrcfg[globalcfg_template]/stats-overview-summary.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals -----------------------------------------------------------------------------------------------------
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsovervie_defaultstats',      ""._stats_overview_defaultstats_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_installdate',      ""._stats_overview_installdate_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_hits',             ""._stats_overview_hits_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_all',              ""._stats_overview_all_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_today',            ""._stats_overview_today_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_yesterday',        ""._stats_overview_yesterday_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_online',           ""._stats_overview_online_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_maxtoday',         ""._stats_overview_maxtoday_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_maxonline',        ""._stats_overview_maxonline_."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_installdateV',     date("".$_AMVusrcfg['cfg_date_dateformat']."",$AMV_defaultstats['install']));
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_hitsV',            "".$AMV_defaultstats['hits']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_allV',             "".$AMV_defaultstats['all']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_todayV',           "".$AMV_defaultstats['today']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_yesterdayV',       "".$AMV_defaultstats['yesterday']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_onlineV',          "".$AMV_defaultstats['online']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_maxtodayV',        "".$AMV_defaultstats['maxcurrent']."");
		$AMV_stat_summary_tpl -> AMT_assign('AMV_statsoverview_maxonlineV',       "".$AMV_defaultstats['maxonline']."");
	$AMV_FILE_stats_overview_summary = $AMV_stat_summary_tpl -> AMT_tpl_var();
	$AMV_FILE_stats_overview_summary = $AMV_FILE_stats_overview_summary.$AMV_sectionspacing;
}
else 
{
	$AMV_FILE_stats_overview_summary = "";	
}
?>