<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_stat_changevalue.php                     */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : JUN 11, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update if sent ---------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['cfg_changevalue_sent']))
{
	if(is_numeric($HTTP_POST_VARS['visitors_id']))
	{
		$AMV_update1 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_visitors']." 
		                              SET    visitors_id = '".$HTTP_POST_VARS['visitors_id']."'
		                              WHERE  visitors_id = '".$HTTP_POST_VARS['old_visitors_id']."'", $_AMVconfig['sql_connect']);
	}
	else
	{
	       	$AMV_error_error         = ""._admin_cfg_changevalue_errorupdate_."";
		$AMV_error_description   = ""._admin_cfg_changevalue_errorupdatedesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	
	if(is_numeric($HTTP_POST_VARS['maxdata_hits'])     &&
	   is_numeric($HTTP_POST_VARS['maxdata_maxperday'])&&
	   is_numeric($HTTP_POST_VARS['maxdata_maxcurrent']))
	{
		$AMV_update2 = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_maxdata']." 
		                              SET    maxdata_hits       = '".$HTTP_POST_VARS['maxdata_hits']."',
		                                     maxdata_maxperday  = '".$HTTP_POST_VARS['maxdata_maxperday']."',
		                                     maxdata_maxcurrent = '".$HTTP_POST_VARS['maxdata_maxcurrent']."'", $_AMVconfig['sql_connect']);
	}
	else
	{
	       	$AMV_error_error         = ""._admin_cfg_changevalue_errorupdate_."";
		$AMV_error_description   = ""._admin_cfg_changevalue_errorupdatedesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}		
	}
	if(isset($AMV_update1) && isset($AMV_update2))
	{
		$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
}
// <-- END update if sent -----------------------------------------------------------------------------------------------------------------

// --> BEGIN get maxdata ------------------------------------------------------------------------------------------------------------------
$AMV_admin_maxdata = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_maxdata']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
// <-- END get maxdata --------------------------------------------------------------------------------------------------------------------

// --> BEGIN get visitors -----------------------------------------------------------------------------------------------------------------
$AMV_admin_visitors = AMS_sql_fetch_array(AMS_sql_query("SELECT   visitors_id 
                                                        FROM      ".$_AMVconfig['tbl_visitors']." 
                                                        ORDER BY  visitors_id
                                                        DESC
                                                        LIMIT     1 ", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
// <-- END get visitors -------------------------------------------------------------------------------------------------------------------

// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_stat_changevalue_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_stat_changevalue.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_linkopen',                          "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_linktotemplate',                    "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_urlopen',                           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_sitename',                          "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_siteurl',                           "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_sitedescription',                   "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_global_yes',                         ""._admin_global_yes_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_global_no',                          ""._admin_global_no_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_global_now',                               date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_cfg_stat_changevalue_headline',      ""._admin_cfg_stat_changevalue_headline_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_cfg_stat_changevalue_visitors',      ""._admin_cfg_stat_changevalue_visitors_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_cfg_stat_changevalue_hits',          ""._admin_cfg_stat_changevalue_hits_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_cfg_stat_changevalue_maxperday',     ""._admin_cfg_stat_changevalue_maxperday_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_cfg_stat_changevalue_maxonline',     ""._admin_cfg_stat_changevalue_maxonline_."");
	$AMV_stat_changevalue_tpl -> AMT_assign('AMV_admin_cfg_stat_changevalue_other',         ""._admin_cfg_stat_changevalue_other_."");
	
	$AMV_stat_changevalue_tpl -> AMT_assign('visitors_id',                                  "".$AMV_admin_visitors['visitors_id']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('maxdata_hits',                                 "".$AMV_admin_maxdata['maxdata_hits']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('maxdata_maxcurrent',                           "".$AMV_admin_maxdata['maxdata_maxcurrent']."");
	$AMV_stat_changevalue_tpl -> AMT_assign('maxdata_maxperday',                            "".$AMV_admin_maxdata['maxdata_maxperday']."");
$AMV_stat_changevalue_tpl -> AMT_tpl_print();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------