<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./admin/cfg_systemsettings.php                       */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 15, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN including config -------------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_config'] = include("../include/config.inc.php"))
{	
	die("can not load <i>config.inc.php</i> so I will die now!");
}
// <-- END including config ---------------------------------------------------------------------------------------------------------------

// --> BEGIN including code_header --------------------------------------------------------------------------------------------------------
if(!$_AMVinclude['res_codeheader'] = include("../include/code_header.inc.php"))
{	
	die("can not load <i>code_header.inc.php</i> so I will die now!");
}
// <-- END including code_header ----------------------------------------------------------------------------------------------------------


// --> BEGIN admin check ------------------------------------------------------------------------------------------------------------------
if(!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
	header("Location: ../admin.php");
	die();
}
// <-- END admin check --------------------------------------------------------------------------------------------------------------------


// --> BEGIN update config ----------------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['sent']))
{
	if(is_numeric($HTTP_POST_VARS['globalcfg_enablenewcount']) &&
	   is_numeric($HTTP_POST_VARS['globalcfg_dropuser'])       &&
	   is_numeric($HTTP_POST_VARS['globalcfg_cleantables']))
	{
		$AMV_update = AMS_sql_query("UPDATE ".$_AMVconfig['tbl_config']." SET globalcfg_enablenewcount ='".$HTTP_POST_VARS['globalcfg_enablenewcount']."',
        	                                                                      globalcfg_dropuser       ='".$HTTP_POST_VARS['globalcfg_dropuser']."',
        	                                                                      globalcfg_cleantables    ='".$HTTP_POST_VARS['globalcfg_cleantables']."'", $_AMVconfig['sql_connect']);  
	}
	if(isset($AMV_update))
	{
		$AMV_info_info         = ""._admin_global_info_updated_."";
		$AMV_info_description  = ""._admin_global_info_updateddesc_."";
		if(!$_AMVinclude['res_info'] = include("".$_AMVconfig['cfg_serverpath']."/include/info.inc.php"))
		{	
			die("can not load <i>info.inc.php</i> so I will die now!");
		}
	}
	// --> BEGIN loading user configuration ---------------------------------------------------------------------------------------------------
	$_AMVusrcfg = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_config']."",$_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	// <-- END loading user configuration -----------------------------------------------------------------------------------------------------
}
// <-- END update config ------------------------------------------------------------------------------------------------------------------


// --> BEGIN template form ----------------------------------------------------------------------------------------------------------------
$AMV_system_get = require_once("".$_AMVconfig['cfg_serverpath']."/include/template.inc.php");
$AMV_system_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/admin/admin_cfg_systemsettings.tpl.html", __FILE__, __LINE__);

	// --> BEGIN templating globals ---------------------------------------------------------------------------------------------------
	$AMV_system_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_system_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_system_tpl -> AMT_assign('AMV_global_urlopen',            "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_system_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_system_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_system_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_system_tpl -> AMT_assign('AMV_admin_global_yes',          ""._admin_global_yes_."");
	$AMV_system_tpl -> AMT_assign('AMV_admin_global_no',           ""._admin_global_no_."");
	$AMV_system_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -----------------------------------------------------------------------------------------------------

 
        // --> BEGIN template text --------------------------------------------------------------------------------------------------------
	$AMV_system_tpl -> AMT_assign('AMV_admin_system_headline',         ""._admin_system_headline_."");
        $AMV_system_tpl -> AMT_assign('AMV_admin_system_dropuser',         ""._admin_system_dropuser_."");
        $AMV_system_tpl -> AMT_assign('AMV_admin_system_enablenewcount',   ""._admin_system_enablenewcount_."");
        $AMV_system_tpl -> AMT_assign('AMV_admin_system_cleantables',      ""._admin_system_cleantables_."");
        $AMV_system_tpl -> AMT_assign('AMV_admin_system_optimizedb',       ""._admin_system_optimizedb_."");
        // <-- END template text ----------------------------------------------------------------------------------------------------------

	$AMV_system_tpl -> AMT_assign('AMV_cfg_globalcfg_enablenewcount',  "".$_AMVusrcfg['globalcfg_enablenewcount']."");
	$AMV_system_tpl -> AMT_assign('AMV_cfg_globalcfg_dropuser',        "".$_AMVusrcfg['globalcfg_dropuser']."");
	$AMV_system_tpl -> AMT_assign('AMV_cfg_globalcfg_cleantables',     "".$_AMVusrcfg['globalcfg_cleantables']."");
	$AMV_system_tpl -> AMT_assign('AMV_cfg_globalcfg_optimizedb',      "".$_AMVusrcfg['globalcfg_optimizedb']."");
	
$AMV_system_tpl -> AMT_tpl_print();
// <-- END template form ------------------------------------------------------------------------------------------------------------------
?>