<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./runlevel/countandprint.php                         */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "countandprint.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


// --> BEGIN some stuff -------------------------------------------------------------------------------------------------------------------
// every time, run "manage entry" & "manage count" twice in this order!
// only this makes correct counting possible
AMV_manage_entry();
AMV_count_browseros();
AMV_count_pageviews();
AMV_count_useragent();
AMV_count_referer();
AMV_count_bots();
AMV_count_dayaccess();
AMV_count_accesslog();
AMV_count_language();
AMV_count_visitor();
// <-- END some stuff ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN optimizing -------------------------------------------------------------------------------------------------------------------
AMV_optimize_tables();
// <-- END optimizing ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN total user -------------------------------------------------------------------------------------------------------------------                                    						
$AMV_visits = AMV_user_all();
// <-- END total user ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN user today -------------------------------------------------------------------------------------------------------------------
$AMV_todayuser = AMV_manage_usertoday();
// <-- END user today ---------------------------------------------------------------------------------------------------------------------


// --> BEGIN user yesterday ---------------------------------------------------------------------------------------------------------------
$AMV_totalyesterday = AMV_user_yesterday();
// <-- END user yesterday -----------------------------------------------------------------------------------------------------------------


// --> BEGIN user online ------------------------------------------------------------------------------------------------------------------
$AMV_uonline = AMV_count_useronline();
// <-- END user online --------------------------------------------------------------------------------------------------------------------


// --> BEGIN get maxdata ------------------------------------------------------------------------------------------------------------------
$AMV_maxdata = AMS_sql_fetch_array(AMS_sql_query("SELECT * FROM ".$_AMVconfig['tbl_maxdata']."", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
// <-- END get maxdata --------------------------------------------------------------------------------------------------------------------


// --> BEGIN create admin link ------------------------------------------------------------------------------------------------------------	
if(@!AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect'])) {
	$AMV_adminbar = "";
} else {
	$AMV_adminbar = "<br><a href=\"".$_AMVconfig['cfg_scriptpath']."/admin.php\" class=\"AMTsmallesttext\">Admin</a>";
}
// <-- END create admin link --------------------------------------------------------------------------------------------------------------


// --> BEGIN create stats link ------------------------------------------------------------------------------------------------------------
if($_AMVusrcfg['cfg_privacy_stats'] == '0' && !AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect'])) {
	$AMV_statslink = "";
} else {
	$AMV_statslink = "<br><a href=\"".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=stat\" class=\"AMTsmallesttext\">"._default_ctext_stats_."</a>";
}
// <-- END create stats link --------------------------------------------------------------------------------------------------------------


// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_countandprint_get = //require_once("$_AMVconfig[cfg_serverpath]"."/include/template.inc.php");
$AMV_countandprint_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/counter.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals -----------------------------------------------------------------------------------
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -------------------------------------------------------------------------------------

	$AMV_countandprint_tpl -> AMT_assign('AMV_headline',              ""._global_visitors_."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_hits',                  ""._default_ctext_hits_."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_all',                   ""._default_ctext_all_."");	
	$AMV_countandprint_tpl -> AMT_assign('AMV_today',                 ""._default_ctext_today_."");	
	$AMV_countandprint_tpl -> AMT_assign('AMV_yesterday',             ""._default_ctext_yesterday_."");	
	$AMV_countandprint_tpl -> AMT_assign('AMV_online',                ""._default_ctext_online_."");	
	$AMV_countandprint_tpl -> AMT_assign('AMV_maxtoday',              ""._default_ctext_max_per_day_."");	
	$AMV_countandprint_tpl -> AMT_assign('AMV_maxonline',             ""._default_ctext_max_online_."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_since',                 ""._default_ctext_max_online_."");	
		
	$AMV_countandprint_tpl -> AMT_assign('AMV_hitsV',                 "".$AMV_maxdata['maxdata_hits']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_allV',                  "".$AMV_visits."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_todayV',                "".$AMV_todayuser."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_yesterdayV',            "".$AMV_totalyesterday."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_onlineV',               "".$AMV_uonline."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_maxtodayV',             "".$AMV_maxdata['maxdata_maxperday']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_maxonlineV',            "".$AMV_maxdata['maxdata_maxcurrent']."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_sinceV',                "".$AMV_maxdata['maxdata_maxcurrent']."");

	$AMV_countandprint_tpl -> AMT_assign('AMV_adminbar',		  "".$AMV_adminbar."");
	$AMV_countandprint_tpl -> AMT_assign('AMV_stats',                 "".$AMV_statslink."");	
$AMV_countandprint_tpl -> AMT_tpl_print();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------
?>