<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./runlevel/invisible.php                             */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "invisible.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


	///////////////////////////////
	//+-------------------------+//
	//| running something :-)   |//
	//+-------------------------+//
	///////////////////////////////	

	// every time, run "manage entry" & "manage count" twice in this order!
	// this makes counting possible
	
	AMV_manage_entry();
	AMV_count_browseros();
	AMV_count_pageviews();
	AMV_count_useragent();
	AMV_count_referer();
	AMV_count_bots();
	AMV_count_dayaccess();
	AMV_count_accesslog();
	AMV_count_language();
	AMV_count_visitor();
	// due to extreme reading and writing, optimizing become more and more popular :-)
	
	AMV_optimize_tables();
	
	///////////////////////////////
	//+-------------------------+//
	//| manage total user count |//
	//+-------------------------+//
	///////////////////////////////
	                                                                  						
	$AMV_visits = AMV_user_all();
	
	///////////////////////////
	//+---------------------+//
	//| manage "today user" |//
	//+---------------------+//
	///////////////////////////
	
	$AMV_todayuser = AMV_manage_usertoday();
	
	/////////////////////////////////////////
	//+-----------------------------------+//
	//| show all "yesterday users" if set |//
	//+-----------------------------------+//
	/////////////////////////////////////////
	
	$AMV_totalyesterday = AMV_user_yesterday();
	
	//////////////////////////
	//+--------------------+//
	//| manage user online |//
	//+--------------------+//
	//////////////////////////
	
	$AMV_uonline = AMV_count_useronline();

// --> BEGIN templating -------------------------------------------------------------------------------------------------------------------
$AMV_invisible_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/invisible.tpl.html", __FILE__, __LINE__);
	
	// --> BEGIN templating globals -----------------------------------------------------------------------------------
	$AMV_invisible_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
	$AMV_invisible_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
	$AMV_invisible_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."");
	$AMV_invisible_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_invisible_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
	$AMV_invisible_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
	$AMV_invisible_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
	// <-- END templating globals -------------------------------------------------------------------------------------
$AMV_invisible_tpl -> AMT_tpl_print();
// <-- END templating ---------------------------------------------------------------------------------------------------------------------
?>