<?PHP
/************************************************************************/
/* AllMyVisitors: Professional web count and analyzing                  */
/* ==================================================================== */
/*                                                                      */
/* Copyright (c) 2004 by voice of web                                   */
/*        http://www.php-resource.net                                   */
/* ==================================================================== */
/*                                                                      */
/* This file is part of the "AllMyPHP Project"!                         */
/* The "AllMyPHP Project" is part of voice of web.                      */
/* All rights reserved, see license for details!                        */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* Author: Voice of web <allmyphp@voice-of-web.de>                      */
/*                                                                      */
/* ==================================================================== */
/*                                                                      */
/* file          : ./runlevel/stats.php                                 */
/* version       : 0.5.0                                                */
/* project       : AllMyVisitors                                        */
/* last modified : Jul 19, 2004                                         */
/*                                                                      */
/************************************************************************/

// --> BEGIN block direct access ----------------------------------------------------------------------------------------------------------
if(@stristr(@$HTTP_SERVER_VARS['PHP_SELF'], "stats.php"))
{
	die("<b>AllMyVisitors:</b> You can not access this file!");	
}
// <-- END block direct access ------------------------------------------------------------------------------------------------------------


// --> BEGIN checking POST/GET vars -------------------------------------------------------------------------------------------------------
if(isset($HTTP_POST_VARS['AMV_year'])  && !empty($HTTP_POST_VARS['AMV_year']))  { $AMV_thisyear    = $HTTP_POST_VARS['AMV_year'];  } elseif(isset($HTTP_GET_VARS['AMV_year'])  && !empty($HTTP_GET_VARS['AMV_year']))  { $AMV_thisyear  = $HTTP_GET_VARS['AMV_year'];  } else { $AMV_thisyear  = AMP_setdate("Y", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']); }
if(isset($HTTP_POST_VARS['AMV_month']) && !empty($HTTP_POST_VARS['AMV_month'])) { $AMV_thismonth   = $HTTP_POST_VARS['AMV_month']; } elseif(isset($HTTP_GET_VARS['AMV_month']) && !empty($HTTP_GET_VARS['AMV_month'])) { $AMV_thismonth = $HTTP_GET_VARS['AMV_month']; } else { $AMV_thismonth = AMP_setdate("m", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']); }
if(isset($HTTP_POST_VARS['AMV_week'])  && !empty($HTTP_POST_VARS['AMV_week']))  { $AMV_thisweek    = $HTTP_POST_VARS['AMV_week'];  } elseif(isset($HTTP_GET_VARS['AMV_week'])  && !empty($HTTP_GET_VARS['AMV_week']))  { $AMV_thisweek  = $HTTP_GET_VARS['AMV_week'];  } else { $AMV_thisweek  = AMP_setdate("W", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']); }
if(isset($HTTP_POST_VARS['AMV_day'])   && !empty($HTTP_POST_VARS['AMV_day']))   { $AMV_thisday     = $HTTP_POST_VARS['AMV_day'];   } elseif(isset($HTTP_GET_VARS['AMV_day'])   && !empty($HTTP_GET_VARS['AMV_day']))   { $AMV_thisday   = $HTTP_GET_VARS['AMV_day'];   } else { $AMV_thisday   = AMP_setdate("d", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']); }
if(isset($HTTP_POST_VARS['AMV_hour'])  && !empty($HTTP_POST_VARS['AMV_hour']))  { $AMV_thishour    = $HTTP_POST_VARS['AMV_hour'];  } elseif(isset($HTTP_GET_VARS['AMV_hour'])  && !empty($HTTP_GET_VARS['AMV_hour']))  { $AMV_thishour  = $HTTP_GET_VARS['AMV_hour'];  } else { $AMV_thishour  = AMP_setdate("h", $_AMVconfig['date_countflag'], $_AMVusrcfg['cfg_date_timezone']); }
// <-- END checking POST/GET vars ---------------------------------------------------------------------------------------------------------


// --> BEGIN stop if disabled and admin is not logged in ----------------------------------------------------------------------------------
if($_AMVusrcfg['cfg_privacy_stats'] == '0' && !AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
{
		$AMV_error_error        = ""._stats_error_disabled_."";
		$AMV_error_description  = ""._stats_error_disableddesc_."";
		if(!$_AMVinclude['res_error'] = include("".$_AMVconfig['cfg_serverpath']."/include/error.inc.php"))
		{	
			die("can not load <i>error.inc.php</i> so I will die now!");
		}		
}
// <-- END stop if disabled and admin is not logged in ------------------------------------------------------------------------------------


else


// --> BEGIN parsing site -----------------------------------------------------------------------------------------------------------------
{
	// --> BEGIN admin only warning ---------------------------------------------------------------------------------------------------
	if($_AMVusrcfg['cfg_privacy_stats'] == '0' && AMP_usercheck_admin($_AMVconfig['cookie_name'], $_AMVconfig['tbl_user'], $_AMVconfig['sql_connect']))
	{
		if(!$_AMVinclude['res_adminaccess'] = include("".$_AMVconfig['cfg_serverpath']."/include/adminaccess.inc.php"))
		{	
			die("can not load <i>adminaccess.inc.php</i> so I will die now!");
		}		
	}	
	// <-- END admin only warning -----------------------------------------------------------------------------------------------------


	// --> BEGIN set header info ------------------------------------------------------------------------------------------------------
	@header ("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    
	@header ("Last-Modified: " . gmdate ("D, d M Y H:i:s") . " GMT"); 
	@header ("Cache-Control: no-cache, must-revalidate");
	@header ("Pragma: no-cache");
	// <-- END set header info --------------------------------------------------------------------------------------------------------
	
		
	// --> BEGIN include admin-config header ------------------------------------------------------------------------------------------
	if(!empty($_AMVusrcfg['globalcfg_includeheader']))
	{
		$_AMVinclude['res_includecfgheader'] = @include("".$_AMVusrcfg['globalcfg_includeheader']."");
	}
	// <-- END include admin-config header --------------------------------------------------------------------------------------------
	
	
	// --> BEGIN creating stattype ----------------------------------------------------------------------------------------------------
	if(isset($HTTP_POST_VARS['AMV_statstype'])    && !empty($HTTP_POST_VARS['AMV_statstype']))
	{ 
		$AMV_statstype = $HTTP_POST_VARS['AMV_statstype']; 
	}
	elseif(isset($HTTP_GET_VARS['AMV_statstype']) && !empty($HTTP_GET_VARS['AMV_statstype'])) 
	{
		$AMV_statstype = $HTTP_GET_VARS['AMV_statstype']; 
	}
	else
	{
		$AMV_defaultstat = AMS_sql_fetch_array(AMS_sql_query("SELECT statmodule_openvar, statmodule_file FROM ".$_AMVconfig['tbl_statmodules']." WHERE statmodule_default = '1'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		$AMV_statstype = $AMV_defaultstat['statmodule_openvar'];
		$AMV_statstype_file =  $AMV_defaultstat['statmodule_file'];
	}
	// <-- END creating stattype ------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN creating section splitter --------------------------------------------------------------------------------------------
	$AMV_sectionspacing_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/sectionspacing.tpl.html", __FILE__, __LINE__);
		$AMV_sectionspacing_tpl -> AMT_assign('AMV_stats_title',               "".$_AMVusrcfg['globalcfg_site_name']."");
	$AMV_sectionspacing = $AMV_sectionspacing_tpl -> AMT_tpl_var();
	// <-- END creating section splitter ----------------------------------------------------------------------------------------------
	
	
	// --> BEGIN content selection ----------------------------------------------------------------------------------------------------
	$AMV_get_statstype = AMS_sql_fetch_array(AMS_sql_query("SELECT statmodule_permission, statmodule_file FROM ".$_AMVconfig['tbl_statmodules']." WHERE statmodule_openvar = '".$AMV_statstype."'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
	if(!$_AMVinclude['res_statmodule'] = include("".$_AMVconfig['cfg_serverpath'].""."/stats/".$AMV_get_statstype['statmodule_file'].""))
	{	
		$AMV_defaultstat = AMS_sql_fetch_array(AMS_sql_query("SELECT statmodule_openvar, statmodule_file FROM ".$_AMVconfig['tbl_statmodules']." WHERE statmodule_default = '1'", $_AMVconfig['sql_connect']), $_AMVconfig['sql_connect']);
		include("".$_AMVconfig['cfg_serverpath'].""."/stats/".$AMV_defaultstat['statmodule_file']."");
	}	
	// <-- END content selection ------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN including menu -------------------------------------------------------------------------------------------------------
	if(!$_AMVinclude['res_statmenu'] = @include("".$_AMVconfig['cfg_serverpath']."/lib/menu.lib.php"))
	{	
		$AMV_stats_menu = "";
	}
	// <-- END including menu ---------------------------------------------------------------------------------------------------------
	
	
	// --> BEGIN templating -----------------------------------------------------------------------------------------------------------
	$AMV_stats_tpl = new AMT_Template("".$_AMVconfig['cfg_serverpath']."/template/".$_AMVusrcfg['globalcfg_template']."/stats-header.tpl.html", __FILE__, __LINE__);
		// --> BEGIN templating globals -------------------------------------------------------------------------------------------
		$AMV_stats_tpl -> AMT_assign('AMV_global_linkopen',           "".$_AMVusrcfg['globalcfg_mainfile']."".$_AMVusrcfg['globalcfg_openvar']."AMV_open=");
		$AMV_stats_tpl -> AMT_assign('AMV_global_linktotemplate',     "".$_AMVconfig['cfg_scripturl']."/".$_AMVconfig['cfg_scriptpath']."/template/".$_AMVusrcfg['globalcfg_template']."");
		$AMV_stats_tpl -> AMT_assign('AMV_global_linktoscript',       "".$_AMVconfig['cfg_scriptpath']."");
		$AMV_stats_tpl -> AMT_assign('AMV_global_sitename',           "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stats_tpl -> AMT_assign('AMV_global_siteurl',            "".$_AMVusrcfg['globalcfg_site_url']."");
		$AMV_stats_tpl -> AMT_assign('AMV_global_sitedescription',    "".$_AMVusrcfg['globalcfg_site_description']."");
		$AMV_stats_tpl -> AMT_assign('AMV_global_now',                date("$_AMVusrcfg[cfg_date_datetimeformat]", time()));
		// <-- END templating globals ---------------------------------------------------------------------------------------------
		$AMV_stats_tpl -> AMT_assign('AMV_stats_title',               "".$_AMVusrcfg['globalcfg_site_name']."");
		$AMV_stats_tpl -> AMT_assign('AMV_stats_description',         "".$_AMVusrcfg['globalcfg_site_description']."");
		
		$AMV_stats_tpl -> AMT_assign('AMV_FILE_menu',                 "".$AMV_stats_menu."");
		$AMV_stats_tpl -> AMT_assign('AMV_FILE_CONTENT',              "".$AMV_stats_content."");
	
	$AMV_stats_tpl -> AMT_tpl_print();
	// <-- END templating -------------------------------------------------------------------------------------------------------------

	
	// --> BEGIN include admin-config header ------------------------------------------------------------------------------------------
	if(!empty($_AMVusrcfg['globalcfg_includefooter']))
	{
		$_AMVinclude['res_includecfgfooter'] = @include("".$_AMVusrcfg['globalcfg_includefooter']."");
	}
	// <-- END include admin-config header --------------------------------------------------------------------------------------------

}
// <-- END pasing site --------------------------------------------------------------------------------------------------------------------
?>






























































































































































































































































































































<?PHP
// better you leave this line intact !!
// see license for details!
echo "<br>".$_AMVusrcfg['cfg_copyright_value']."";
?>